DECLARE
   v_checksum   VARCHAR2 (400);
BEGIN
   IF :p242_empno IS NOT NULL
   THEN
      SELECT wwv_flow_item.md5 (ename, job, deptno,
                                TO_CHAR (hiredate, 'DD-MON-YYYY'), sal, add_comment)
        INTO v_checksum
        FROM employees_tab
       WHERE empno = :p242_empno;

      IF v_checksum <> :p242_checksum
      THEN
         RETURN 'Der Datensatz wurde zwischenzeitig gendert.';
      END IF;

      IF     :p242_empno IS NOT NULL
         AND wwv_flow_item.md5 (:p242_ename, :p242_job, :p242_deptno, 
:p242_hiredate, :p242_sal, p242_add_comment ) = :p242_checksum
      THEN
         RETURN 'Der Datensazt wurde nicht gendert';
      END IF;
   END IF;
END;
 
 
DECLARE
   v_error      VARCHAR2 (4000);
   v_hiredate   DATE;
   v_sal        NUMBER;
BEGIN
   IF :p242_ename IS NULL
   THEN
      v_error := v_error || '</br>' || 'Ename muss eingetragen werden.';
   END IF;

   IF :p242_job = '0'
   THEN
      v_error := v_error || '</br>' || 'Job muss eingetragen werden ';
   END IF;

   IF :p242_deptno = '0'
   THEN
      v_error := v_error || '</br>' || 'Department muss eingetragen werden.';
   END IF;

   IF :p242_hiredate IS NULL
   THEN
      v_error := v_error || '</br>' || 'Hiredate muss eingetragen werden.';
   ELSE
      v_hiredate := TO_DATE (:p242_hiredate, 'DD-MON-YYYY');
   END IF;

   IF :p242_sal IS NULL
   THEN
      v_error := v_error || '</br>' || 'Salary muss eingetragen werden.';
   END IF;

   IF :p242_sal <= 0
   THEN
      v_error := v_error || '</br>' || 'Salary muss groesser sein als zero.';
   ELSE
      v_sal := :p242_sal;
   END IF;

   RETURN v_error;
EXCEPTION
   WHEN OTHERS
   THEN
      v_error := v_error || '</br>' || SQLERRM;
      RETURN v_error;
END;
