--
-- Seiten-Performance der letzten Stunde 
--
SELECT   application_id, application_name, page_id, page_name,
         COUNT (*) AS hits, ROUND (COUNT (*) / 60, 2) AS hits_pro_min,
         MIN (elapsed_time) AS MIN, ROUND (AVG (elapsed_time), 2) AS AVG,
         MAX (elapsed_time) AS MAX,
         ROUND (AVG (elapsed_time) * COUNT (*), 2) weight
    FROM apex_workspace_activity_log
   WHERE view_date > SYSDATE - 1 / 24 / 60 * 60   /* in der letzten Stunde */
GROUP BY application_id, application_name, page_id, page_name
ORDER BY weight DESC;

