DECLARE
   l_sql           VARCHAR2 (32767);
   c_nl   CONSTANT VARCHAR2 (10)    := CHR (10);
BEGIN
   l_sql :=
      'SELECT sta.*  
         FROM shdb_standorte sta, shdb_standort_shops sst, shdb_projekte prj
        WHERE sst.sst_sta_id = sta.sta_id AND prj.prj_id(+) = sst.sst_prj_id';

   -- p5_sta_strasse eingegeben?
   IF :p5_sta_strasse IS NOT NULL
   THEN
      l_sql :=
            l_sql
         || c_nl
         || ' AND INSTR (UPPER (sta.sta_strasse_neu),'
         || ' UPPER (:p5_sta_strasse)) > 0 ';
   END IF;

   -- P5_STA_ORT eingegeben?
   IF :p5_sta_ort IS NOT NULL
   THEN
      l_sql :=
            l_sql
         || c_nl
         || ' AND INSTR (UPPER (sta.sta_ort_neu), UPPER (:p5_sta_ort)) > 0 ';
   END IF;

   -- P5_STA_KOSTENSTELLE eingegeben?
   IF :p5_sta_kostenstelle IS NOT NULL
   THEN
      l_sql :=
            l_sql
         || c_nl
         || ' AND sta_kst_id in (select kst_id from shdb_kostenstellen '
         || ' where upper(kst_nummer) = upper(:P5_STA_KOSTENSTELLE)) ';
   END IF;

   apex_application.DEBUG ('sql: ' || l_sql);
   RETURN l_sql;
END;
